> For the complete documentation index, see [llms.txt](https://docs.hubyte.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hubyte.de/dropshipping-bestellung-an-lieferanten-herstelle/supplier-in-storefront.md).

# Variablen für Storefront

Das Plugin stellt das Lieferanten-Objekt an verschiedenen Stellen im Shopware-Storefront zur Verfügung. Die folgenden Snippets können in eigenen Theme-Overrides (Twig-Templates) eingesetzt werden.

***

## Produktdetailseite

```twig
{{ page.product.extensions.supplier }}                  {# Lieferant-Objekt #}
{{ page.product.extensions.supplier.translated.name }}  {# Lieferantenname #}
```

***

## Offcanvas-Warenkorb

```twig
{% for lineItem in page.cart.lineItems %}
  {{ lineItem.extensions.supplier }}                  {# Lieferant-Objekt #}
  {{ lineItem.extensions.supplier.translated.name }}  {# Lieferantenname #}
{% endfor %}
```

***

## Warenkorb- & Checkout-Seiten (Cart, Checkout, Finish)

```twig
{% sw_extends '@Storefront/storefront/page/checkout/checkout-item.html.twig' %}

{% block page_checkout_item_info_ordernumber %}
{{ parent() }}

{{ lineItem.extensions.supplier }}                  {# Lieferant-Objekt #}
{{ lineItem.extensions.supplier.translated.name }}  {# Lieferantenname #}
{% endblock %}
```

***

## Bestellübersicht im Kundenkonto

```twig
{% sw_extends '@Storefront/storefront/page/account/order-history/order-detail-list-item.html.twig' %}

{% block page_account_order_item_detail_variants %}
{{ parent() }}

{{ lineItem.extensions.supplier }}                  {# Lieferant-Objekt #}
{{ lineItem.extensions.supplier.translated.name }}  {# Lieferantenname #}
{% endblock %}
```

***

## Dokumente (Rechnungen, Lieferscheine)

```twig
{{ lineItem.extensions.supplier.translated.name }}
```

***

## E-Mail-Vorlagen

In Dropshipping-E-Mail-Vorlagen steht der Lieferantenname über das `item`-Objekt zur Verfügung:

```twig
{{ item.supplier.translated.name }}
```

Weitere Variablen für E-Mail-Vorlagen finden Sie unter [E-Mail-Vorlagen](/dropshipping-bestellung-an-lieferanten-herstelle/email-templates.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hubyte.de/dropshipping-bestellung-an-lieferanten-herstelle/supplier-in-storefront.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
